dtscreen(user cmd)

NAME
dtscreen — the Common Desktop Environment animated screen savers

SYNOPSIS

dtscreen [-display dsp] [-delay usecs] [-batchcount num] [-saturation value] [-nice nicelevel] [-mode mode]

DESCRIPTION

The dtscreen client supports the following key tasks.

- Draws an animated image on a provided window id(s).

- Does not assume the size of the provided window(s).

- Provides a set of selectable animated images.

- Animation parameters such as nice, speed, number and saturation may be specified.

The dtscreen client provides the default screen saver animations for the desktop. When launched, it will query the desktop using the API for the set for window ids on which to draw. These window ids could be the cover windows created by the session manager for session lock, or a window embedded in the style manager's session lock customization dialog. Once obtained, the dtscreen client will proceed to draw in these windows using the specified options. If dtscreen cannot obtain the set of window ids, it will create its own. Normally, the dtscreen client will be invoked directly by the session manager, or by the style manager.

Note that the Session Manager, dtsession, is responsible for locking the session and prompting for a password to unlock.

The session manager may launch the dtscreen client to provide screen saver animations during session lock. Refer to the session manager specification for resources controlling the launching of screen savers by the session manager.

The style manager may launch the dtscreen client to provide a preview of a screen saver animation during customization. Refer to the style manager specification for information on how to integrate a screen saver client such as dtscreen into the desktop.

The dtsession client provides a selectable set of animations. These are:

hop Hopalong iterated fractals.

life
    Conway's game of life.

qix Spinning lines.

image
    Random bouncing image.

swarm
    Swarm of bees.

rotor
    Rotor

pyro
    Fireworks.

flame
    Cosmic Flame Fractals.

worm
    Wiggly Worms.

random
    Random mode.

The dtscreen client animations are based on xlock(1).

OPTIONS

-display dsp

The display on which animations will be drawn.

-delay usecs

The delay option sets the speed at which a mode will operate. It simply sets the number of microseconds to delay between batches of "hopalong pixels", "qix lines", "life generations", "image blits", and "swarm motions".

-batchcount num

The batchcount option sets the number of things to do per batch to num. In qix mode this refers to the number of lines rendered in the same color. In hop mode this refers to the number of pixels rendered in the same color. In image mode this refers to the number of X logos on the screen at once. in swarm mode this refers to the number of bees. In life mode it means nothing.

-saturation value

The saturation option sets the saturation of the color ramp used to value. 0 is grayscale, 1 is very rich color and 0.4 is a nice pastel.

-nice nicelevel

The nice option sets the system nicelevel of the dtscreen process to nicelevel.

-mode mode

The mode option specifies which animation should be displayed. Values are:

hop Hopalong iterated fractals.

life
    Conway's game of life.

qix Spinning lines.

image
    Random bouncing image.

swarm
    Swarm of bees.

rotor
    Rotor

pyro
    Fireworks.

flame
    Cosmic Flame Fractals.

worm
    Wiggly Worms.

random
    Random mode.

RETURN VALUE

Exit values are:

0   Successful completion.

>0  Error condition occurred.

EXAMPLES

  dtscreen -mode swarm

Display the swarm animation.

RESOURCES
NameClassClassTypeDefault
modeModeStringswarm
niceNiceInt16
delayDelayInt1000
batchcountBatchcountInt100
saturationSaturationFloat1.0
hop.delayDelayInt0
hop.batchcountBatchcountInt1000
hop.saturationSaturationFloat1
image.delayDelayInt2000000
image.batchcountBatchcountInt8
image.saturationSaturationFloat0.2
qix.delayDelayInt30000
qix.batchcountBatchcountInt64
qix.saturationSaturationFloat1
life.delayDelayInt1000000
life.batchcountBatchcountInt1
life.saturationSaturationFloat1
swarm.delayDelayInt10000
swarm.batchcountBatchcountInt100
swarm.saturationSaturationFloat1
rotor.delayDelayInt10000
rotor.batchcountBatchcountInt4
rotor.saturationSaturationFloat0.4
pyro.delayDelayInt15000
pyro.batchcountBatchcountInt40
pyro.saturationSaturationFloat1.0
flame.delayDelayInt10000
flame.batchcountBatchcountInt20
flame.saturationSaturationFloat1.0
worm.delayDelayInt10000
worm.batchcountBatchcountInt20
worm.saturationSaturationFloat1.0

  delay

The delay option sets the speed at which a mode will operate. It simply sets the number of microseconds to delay between batches of "hopalong pixels", "qix lines", "life generations", "image blits", and "swarm motions".

  batchcount

The batchcount option sets the number of things to do per batch to num. In qix mode this refers to the number of lines rendered in the same color. In hop mode this refers to the number of pixels rendered in the same color. In image mode this refers to the number of X logos on the screen at once. in swarm mode this refers to the number of bees. In life mode it means nothing.

  saturation

The saturation option sets the saturation of the color ramp used to value. 0 is grayscale, 1 is very rich color and 0.4 is a nice pastel.

  nice

The nice option sets the system nicelevel of the dtscreen process to nicelevel.

  mode

The mode option specifies which animation should be displayed. Values are:

hop Hopalong iterated fractals.

life
    Conway's game of life.

qix Spinning lines.

image
    Random bouncing image.

swarm
    Swarm of bees.

rotor
    Rotor

pyro
    Fireworks.

flame
    Cosmic Flame Fractals.

worm
    Wiggly Worms.

random
    Random mode.

SEE

dtsession
    Caret1Launches the dtscreen client during session lock. Provides resources that can be used to control this event. Locks and unlocks a session.

dtstyle
    Launched the dtscreen client during session lock customization. Provides the methods by which additional screen saver clients may be integrated into the desktop.